Package com.massivecraft.factions.cmd

## Class CmdHelp

- java.lang.Object
- - com.massivecraft.factions.cmd.FCommand
  - - com.massivecraft.factions.cmd.CmdHelp

    public class CmdHelp
    extends FCommand

### Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`java.util.ArrayList<java.util.ArrayList<java.lang.String>>` | `helpPages` |

### Fields inherited from class com.massivecraft.factions.cmd.FCommand

`aliases, helpLong, optionalArgs, requiredArgs, requirements, sdf, subCommands, visibility`

### Constructor Summary

Constructors
Constructor | Description
--- | ---
`CmdHelp()` |

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`TL` | `getUsageTranslation()` |
`void` | `perform​(CommandContext context)` |
`void` | `updateHelp​(CommandContext context)` |

### Methods inherited from class com.massivecraft.factions.cmd.FCommand

`addSubCommand, execute, getHelpShort, getToolTips, getToolTips, getUsageTemplate, getUsageTemplate, isEnabled, replaceFactionTags, replaceFPlayerTags, setHelpShort, validArgs, validCall`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### helpPages

    public java.util.ArrayList<java.util.ArrayList<java.lang.String>> helpPages

### Constructor Detail

#### CmdHelp

    public CmdHelp()

### Method Detail

#### perform

    public void perform​(CommandContext context)

Specified by:
  `perform` in class `FCommand`

#### updateHelp

    public void updateHelp​(CommandContext context)

#### getUsageTranslation

    public TL getUsageTranslation()

Specified by:
  `getUsageTranslation` in class `FCommand`